package com.company.test.view.testentity

import com.company.test.entity.TestEntity
import com.company.test.view.main.MainView
import com.vaadin.flow.router.Route
import io.jmix.core.DataManager
import io.jmix.core.LoadContext
import io.jmix.flowui.kit.action.ActionPerformedEvent
import io.jmix.flowui.model.CollectionContainer
import io.jmix.flowui.view.*
import io.jmix.flowui.view.Target
import jdk.incubator.vector.VectorOperators.Test
import org.springframework.beans.factory.annotation.Autowired

@Route(value = "testEntities", layout = MainView::class)
@ViewController("jt_TestEntity.list")
@ViewDescriptor("test-entity-list-view.xml")
@LookupComponent("testEntitiesDataGrid")
@DialogMode(width = "50em")
class TestEntityListView : StandardListView<TestEntity>() {
    @Autowired
    private lateinit var dataManager: DataManager

    @ViewComponent
    private lateinit var testEntitiesDc: CollectionContainer<TestEntity>

    @Install(to = "testEntitiesDl", target = Target.DATA_LOADER)
    fun testEntitiesDlLoadDelegate(loadContext: LoadContext<TestEntity>): MutableList<TestEntity> {
        // Here you can load entities from an external store
        return mutableListOf()
    }

    @Subscribe("testEntitiesDataGrid.create")
    private fun onTestEntitiesDataGridCreate(event: ActionPerformedEvent) {
        val testEntity = dataManager.create(TestEntity::class.java)
        testEntitiesDc.mutableItems += testEntity
    }
}